%define api_version 1
%define lib_major   1
%define lib_name    %mklibname gsf- %{api_version} %{lib_major}

Summary: GNOME Structured File library
Name: libgsf
Version: 1.12.2
Release: 2mdk
Epoch: 1
Group: System/Libraries
License: GPL
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.gnumeric.org
BuildRequires: libbonobo2_x-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: gtk-doc
BuildRequires: perl-XML-Parser


%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}-devel
Summary: Support files necessary to compile applications with libgsf
Group: Development/C
Requires: %{lib_name} = %epoch:%{version}
Provides: %{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides: %{name}-devel = %epoch:%{version}-%{release}
Requires: libxml2-devel
Requires: libglib2-devel

%description -n %{lib_name}-devel
Libraries, headers, and support files necessary to compile
applications using libgsf.

%prep

%setup -q

%build

%configure2_5x --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT libgsf.lang

%makeinstall

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgsf
%find_lang libgsf

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/totem.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi


%files -f libgsf.lang
%defattr(-,root,root)
%doc README
%_sysconfdir/gconf/schemas/gsf-office-thumbnailer.schemas
%_bindir/gsf-office-thumbnailer

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gsf
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 17 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.12.2-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 1.12.2-1mdk
- update file list
- enable gtk-doc
- New release 1.12.2

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-1mdk 
- Switch back to 1.12.1

* Wed Jun  8 2005 Gtz Waschk <waschk@mandriva.org> 1:1.11.1-1mdk
- back to 1.11.1

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.12.0-1mdk
- New release 1.12.0

* Fri Jan 21 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.11.1-1mdk
- New release 1.11.1

* Mon Aug 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.10.1-1mdk
- New release 1.10.1

* Mon Jul  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.10.0-1mdk
- reenable libtooliz
- New release 1.10.0

* Mon May 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- fix gtk-doc location
- drop patch
- New release 1.9.1

* Wed May  5 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-1mdk
- New release 1.9.0

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.2-1mdk
- Release 1.8.2 (fix libole2 problems)

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.1-4mdk
- BuildRequires: libbonobo2_x-devel

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.8.1-3mdk
- Rebuild

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.1-2mdk
- rebuild against latest libbobono

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.1-1mdk
- Release 1.8.1

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk
- Fix bad mklibnamification..

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.0-1mdk
- Release 1.8.0
- mklibnamification

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-1mdk
- Release 1.7.2

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-2mdk
- Recompiled against latest openssl
- Fix BuildRequires

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-1mdk
- Initial Mandrake package

* Tue Jun 18 2002 Rui M. Seabra <rms@407.org>
- set permission correctly
- fix common mistake of Copyright flag into License flag.

* Thu May 23 2002 Jody Goldberg <jody@gnome.org>
- Initial version
